tigase.jaxmpp.core.client.xmpp.modules.chat.xep0184

## Class MessageDeliveryReceiptsExtension

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.chat.xep0184.MessageDeliveryReceiptsExtension

- All Implemented Interfaces:
    MessageModuleExtension, Extension

      public class MessageDeliveryReceiptsExtension
      extends Object
      implements MessageModuleExtension, Extension

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `MessageDeliveryReceiptsExtension.ReceiptReceivedHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageDeliveryReceiptsExtension(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `afterReceive(Element received)`
    `Message` | `beforeMessageProcess(Message message, Chat chat)`
    `Element` | `beforeSend(Element element)`
    `String[]` | `getFeatures()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS

          public static final String XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageDeliveryReceiptsExtension

          public MessageDeliveryReceiptsExtension(Context context)

  - ### Method Detail

    - #### afterReceive

          public Element afterReceive(Element received)
                               throws JaxmppException

      Specified by:
        `afterReceive` in interface `Extension`
      Throws:
        `JaxmppException`

    - #### beforeMessageProcess

          public Message beforeMessageProcess(Message message,
                                              Chat chat)
                                       throws JaxmppException

      Specified by:
        `beforeMessageProcess` in interface `MessageModuleExtension`
      Throws:
        `JaxmppException`

    - #### beforeSend

          public Element beforeSend(Element element)
                             throws JaxmppException

      Specified by:
        `beforeSend` in interface `Extension`
      Throws:
        `JaxmppException`

    - #### getFeatures

          public String[] getFeatures()

      Specified by:
        `getFeatures` in interface `Extension`

Copyright © 2006–2023 Tigase. All rights reserved.